<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>..\bo_strong_key_pair.snk</AssemblyOriginatorKeyFile>
    <DelaySign>false</DelaySign>
    <RootNamespace>Quadarax.Foundation.Core.Data</RootNamespace>
    <ApplicationIcon>..\quadarax_dll.ico</ApplicationIcon>
    <Title>Quadarax.Foundation.Core.Data</Title>
    <Authors>Dalibor Votruba</Authors>
    <Company>Quadarax</Company>
    <Product>Quadarax.Foundation</Product>
    <Description>Quadarax.Foundation.Core.Data - data layer foundation library</Description>
    <Copyright>Copyright © 2023 Quadarax</Copyright>
    <PackageIcon>quadarax_dll.png</PackageIcon>
    <PackageTags>QDR;FND;CORE;DATA;DAO</PackageTags>
    <AssemblyVersion>0.0.2.0</AssemblyVersion>
    <FileVersion>0.0.2.0</FileVersion>
    <Version>0.0.2.0-alpha</Version>
    <Nullable>enable</Nullable>
    <PackageReadmeFile>releasenotes.md</PackageReadmeFile>
    <PackageReleaseNotes>
      Date:24.3.2024
      - update dependencies packages (qdr.fnd.core)
    </PackageReleaseNotes>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="releasenotes.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Content Include="..\quadarax_dll.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Include="..\qdr.fnd.core.business\releasenotes.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.17" />
    <PackageReference Include="qdr.fnd.core" Version="0.0.4-alpha" />
    <PackageReference Include="qdr.fnd.core.data.itfc" Version="0.0.2-alpha" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.6" />
  </ItemGroup>

  <ItemGroup>
    <None Update="releasenotes.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
